;; tmp-mode.el - major mode for temporary files
;;
;; (c) 1995, Klaus Gebhardt

;; tmp-mode
(defun tmp-mode ()
  "Major Mode for editing temporary files."
  (interactive)
  (text-mode)
  (make-local-variable 'backup-inhibited)
  (setq backup-inhibited t)
  (make-local-variable 'server-done-hook)
  (setq server-done-hook 'tmp-done))

(defun tmp-done ()
  "kill the temporary buffer."
  (interactive)
  (kill-buffer (current-buffer)))
